<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserViewBPELProcessesMain.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 06/10/16 04:16:39                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.82 1.4                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>

<!--
** This is the main page that holds the view BPEL processes view.  The parts of all views are:
**  - the BPEL process chooser table, the process instance chooser table and the event table.
**  - the selected event data table.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<HTML>

  <HEAD dir=LTR>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=UTF-8">        
    <TITLE><%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "TITLE.CBEBROWSERVIEWBPELPROCESSESMAIN" )%></TITLE>
  </HEAD>

  <!-- Two rows of frames: top is process chooser, process instance chooser and event selection row; bottom is event data row -->
  <FRAMESET rows="50%,*">
      
    <!-- Top row: process chooser, process instance chooser and event selection row -->
    <FRAMESET cols="22%,22%,*">
    
      <FRAME
        name="<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESPROCCHOOSERTABLE%>"
        title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.VIEWBPELPROCESSESPROCCHOOSERTABLE" )%>"
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESPROCESSESTABLE%>"
      />
    
      <FRAME
        name="<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESINSTCHOOSERTABLE%>"
        title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.VIEWBPELPROCESSESINSTCHOOSERTABLE" )%>"
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESINSTANCESTABLE%>"
      />
                
      <FRAME
        name="<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESEVENTTABLE%>"
        title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.VIEWBPELPROCESSESEVENTTABLE" )%>"
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESEVENTTABLE%>"
      />
      
    </FRAMESET>
          
    <!-- Bottom row: event data row -->
    <FRAME
      name="<%=ICBEBrowserConstants.FRAMENAME_VIEWBPELPROCESSESEVENTDATATABLE%>"
      title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.VIEWBPELPROCESSESEVENTDATATABLE" )%>"
      src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWBPELPROCESSESEVENTDATA%>"
    />    
        
  </FRAMESET>
     
  <NOFRAMES><%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "NOFRAMES" )%></NOFRAMES>

</HTML>
 
