<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserViewServersEventTable.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 06/10/16 04:16:49                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.84 1.4                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2012. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.CBEBrowserWclUtilities"%>

<!-- Obtain translated strings up front -->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String useractionEventDataString = CBEBrowserNlsUtilities.getNonMessageString( locale, "USERACTION.EVENTDATA" );
%>

<!-- Determine if the event viewer table is currently present (prior to page being processed). -->
<%
com.ibm.psw.wcl.core.WclFacade facade = (com.ibm.psw.wcl.core.WclFacade)session.getAttribute( ICBEBrowserConstants.SESSATTR_WCL_FACADE );
com.ibm.psw.wcl.core.AContext ac = facade.createTriggerContext( request, pageContext.getServletContext() );
com.ibm.psw.wcl.components.table.WTable evTable = (com.ibm.psw.wcl.components.table.WTable)CBEBrowserWclUtilities.getJspWclComponent( ac, ICBEBrowserConstants.PAGENAME_VIEWSERVERSEVENT, ICBEBrowserConstants.TABLE_VIEWSERVERS_EVENTS );
%>

<!-- See if we need to reload the parent frame. -->
<%
boolean reloadParent = false;
Boolean reloadParentObj = (Boolean)session.getAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
if ( reloadParentObj != null )
{
    session.setAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT, Boolean.FALSE );
    session.removeAttribute( ICBEBrowserConstants.SESSATTR_VIEWRELOADPARENT );
    reloadParent = true;
}
%>

<%
if ( reloadParent == true )
{
%>
<SCRIPT type="text/javascript" src="<%=contextPath%>/resources/js/CBEBrowserReloadFrames.js" ></SCRIPT>
<SCRIPT language="javascript">
reloadSiblingFrame("<%=ICBEBrowserConstants.FRAMENAME_VIEWSERVERSEVENTDATATABLE%>","<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_VIEWSERVERSEVENTDATA%>");
</SCRIPT>
<%
}
%>

<!--
** The View Servers Event Table Page: triggered by the View Servers Servers hyperlink.
**
** This is the view page that has variable contents depending on the view selected.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_VIEWSERVERSEVENT%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
    </HEAD>

    <BODY dir=LTR>
                                              
      <wcl:WTable
        objectScopeId="<%=ICBEBrowserConstants.TABLE_VIEWSERVERS_EVENTS%>"
        id="<%=ICBEBrowserConstants.TABLE_VIEWSERVERS_EVENTS%>"
        tableModelScope="session"
        tableModelScopeId="<%=ICBEBrowserConstants.SESSATTR_VIEWSERVERSMODEL%>"
        saveModelInComponent="false"
        selectionMode="single"
        rowsPerPage="10"
        componentOrientation="ltr"
        >
        
        <wcl:StyleInfo
          className="com.ibm.psw.wcl.skins.base.BaseTableStyleInfo">
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA_NOGRID%>" attribute="font-size" value="70%"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA_NOGRID%>" attribute="font-size" value="70%"/>
        </wcl:StyleInfo>
                        
        <wcl:ColumnCustomizer
          viewColumn="1"
          cellScope="session"
          cellScopeId="<%=ICBEBrowserConstants.SESSATTR_HYPERCELL_SERVS%>"
          cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserHyperlinkCellRenderer"
          rendererInfoScope="session"
          rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"          
        />
        
        <wcl:ColumnCustomizer
          viewColumn="3"
          isEnabled="false"
        />
          
        <wcl:ColumnCustomizer
          viewColumn="6"
          filterScope="session"
          filterScopeId="<%=ICBEBrowserConstants.SESSATTR_SERVERFILTER%>"
          filterIsActive="true"
        />
                                                                                                                                                                            
        <wcl:ColumnCustomizer
          viewColumn="9"
          isEnabled="false"
        />
                                        
        <wcl:ColumnCustomizer
          viewColumn="10"
          isVisible="false"
        />

        <wcl:UserAction
          actionName="<%=useractionEventDataString%>"
          actionValue="<%=ICBEBrowserConstants.USERACT_EVENTDATA%>"
          objectScope="session"
          objectScopeId="<%=ICBEBrowserConstants.SESSATTR_VIEWSERVERSUSERACTIONLIST%>"
        />
                                  
      </wcl:WTable>
        
    </BODY>

  </HTML>

<!-- Perform post-page processing -->  
<%
if ( evTable == null )
{
    evTable = (com.ibm.psw.wcl.components.table.WTable)CBEBrowserWclUtilities.getJspWclComponent( ac, ICBEBrowserConstants.PAGENAME_VIEWSERVERSEVENT, ICBEBrowserConstants.TABLE_VIEWSERVERS_EVENTS );
    if ( evTable != null ) evTable.setUserActionVisible( ICBEBrowserConstants.USERACT_EVENTDATA, false );
}
%>

</wcl:Foundation>
 
